<div class="breadcrumb-container">
	<ol class="breadcrumb">
		<li><a data-ui-sref="dashboard">{{"COMMON.HOME" | translate}}</a></li>
		<li><a data-ui-sref="CategoryList">Category</a></li>
		<li class="active">{{vm.record.name}</li>
	</ol>
</div>
<div class="col-md-12 no-padding text-right margin-bottom-10">
	<a data-ng-if="vm.authRepository.isAccessible('CategoryAddButton')" data-ng-disabled="vm.authRepository.isDisabled('CategoryAddButton')" title="{{"COMMON.ADD" | translate}}" class="btn btn-primary btn-xs" data-ui-sref="CategoryEdit({id:0})">
		Add New Category
	</a>
</div>
<table class="table table-bordered table-striped">
	<thead>
		<tr>
			<td colspan="2">Category: <b>{{vm.record.name}</b>
				<a class="btn btn-danger btn-xs pull-right  margin-left-5" data-ng-if="vm.authRepository.isAccessible('CategoryDeleteButton')" data-ng-disabled="vm.authRepository.isDisabled('CategoryDeleteButton')" data-ng-click="vm.remove(record.id)">
					{{"COMMON.DELETE" | translate}}
				</a>
				<a class="btn btn-primary btn-xs pull-right" data-ng-if="vm.authRepository.isAccessible('CategoryEditButton')" data-ng-disabled="vm.authRepository.isDisabled('CategoryEditButton')" data-ui-sref="CategoryEdit({id: record.id})">
					{{"COMMON.EDIT" | translate}}
				</a>
			</td>
		</tr>
	</thead>
	<tbody>
		 	<tr>
				<td width="250">{{"Category.id" | translate}}</td>
            <td>{{vm.record.id}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Category.name" | translate}}</td>
            <td>{{vm.record.name}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Category.createdOn" | translate}}</td>
             <td>{{vm.record.createdOn|date:'MM/dd/yyyy'}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Category.updatedOn" | translate}}</td>
             <td>{{vm.record.updatedOn|date:'MM/dd/yyyy'}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Category.isDeleted" | translate}}</td>
            <td>{{vm.record.isDeleted}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Category.isActive" | translate}}</td>
            <td>{{vm.record.isActive}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Category.createdBy" | translate}}</td>
            <td>{{vm.record.createdBy}}</td>
            </tr>
		 	<tr>
				<td width="250">{{"Category.updatedBy" | translate}}</td>
            <td>{{vm.record.updatedBy}}</td>
            </tr>
	</tbody>
</table>

